Subject: Re: bug#59691: 29.0.60; typescript-ts-mode: any HTML-like elements causes fontification to become invalid and remaining parse-tree to become jsx-expression

From: Yuan Fu <[email-masked]>
Date: Thu, 1 Dec 2022 20:44:59 -0800

> On Dec 1, 2022, at 4:10 AM, Eli Zaretskii <[email-masked]> wrote:
> 
>> From: Theodor Thornhill <[email-masked]>
>> Cc: [email-masked], [email-masked], [email-masked],
>> [email-masked]
>> Date: Thu, 01 Dec 2022 11:52:00 +0100
>> 
>>> Yes, I missed that, sorry.  But the NEWS entry should clearly say that one
>>> mode is the default for *.ts files, the other for *.tsx files.
>> 
>> No worries :)
>> 
>> Is this patch suitable?
> 
> LGTM, thanks.
> 
> Yuan, if you are okay with this, please install.

Cool. I applied the patch, thanks Theo! I changed typescript-ts-mode—base-mode to typescript-ts-base-mode, since I don’t think anyone has strong opinions about its naming, and typescript-ts-base-mode is more consistent with other tree-sitter base modes.

Yuan